summaryrefslogtreecommitdiff
path: root/tests/sort
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1996-11-27 05:06:09 +0000
committerJim Meyering <jim@meyering.net>1996-11-27 05:06:09 +0000
commit1a62ae1a5cecc5d0fb3814de5634c7b9fcbd8672 (patch)
tree527f7018fa2df24d567c0ca2d70cd8a0f3aac4e6 /tests/sort
parent952a4436eb75134f99105806e78155c7695387bb (diff)
downloadcoreutils-1a62ae1a5cecc5d0fb3814de5634c7b9fcbd8672.tar.xz
.
Diffstat (limited to 'tests/sort')
-rwxr-xr-xtests/sort/sort-tests17
1 files changed, 17 insertions, 0 deletions
diff --git a/tests/sort/sort-tests b/tests/sort/sort-tests
index 78d47a2cf..359d638a6 100755
--- a/tests/sort/sort-tests
+++ b/tests/sort/sort-tests
@@ -1301,6 +1301,23 @@ else
esac
fi
test -s t18d.err || rm -f t18d.err
+$xx -nb -k1.1,1.2 $srcdir/t18e.in > t18e.out 2> t18e.err
+code=$?
+if test $code != 0 ; then
+ $echo Test 18e failed: ../../src/sort return code $code differs from expected value 0 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp t18e.out $srcdir/t18e.exp
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo passed 18e; fi ;; # equal files
+ 1) $echo Test 18e failed: files t18e.out and $srcdir/t18e.exp differ 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo Test 18e may have failed. 1>&2;
+ $echo The command "cmp t18e.out $srcdir/t18e.exp" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s t18e.err || rm -f t18e.err
if test $errors = 0 ; then
$echo Passed all tests. 1>&2
else